# $Revision: 1.36 $, $Date: 2007/09/05 14:31:30 $
Summary:	PostScript Utilities
Summary(pl.UTF-8):	Narzędzia do PostScriptu
Name:		psutils
Version:	1.17
Release:	18
License:	distributable
Group:		Applications/Printing
Source0:	ftp://ftp.knackered.org/pub/psutils/%{name}-p17.tar.gz
# Source0-md5:	b161522f3bd1507655326afa7db4a0ad
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	1e7a4663e9b535e102e6242ec1d5c875
Patch0:		%{name}-Makefile.patch
# Patch1 derived from ftp://jurix.jura.uni-sb.de/pub/linux/source/networking/printing/psutils.dif
Patch1:		%{name}-misc.patch
Patch2:		%{name}-paper.patch
URL:		http://www.tardis.ed.ac.uk/~ajcd/psutils/index.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This archive contains some utilities for manipulating PostScript
documents. Page selection and rearrangement are supported, including
arrangement into signatures for booklet printing, and page merging for
n-up printing.

%description -l pl.UTF-8
PSutils zawiera programy pomagające manipulować plikami PostScript,
wybierać strony przeznaczone do wydruku, ich kolejność, układ.
Pozwala także na łączenie różnych plików PostScript w całość.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} -f Makefile.unix \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -f Makefile.unix install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LICENSE
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psutils.spec,v $
Revision 1.36  2007/09/05 14:31:30  baggins
- rel 18
- working Source0 URL
- added project page URL

Revision 1.35  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.33  2005/05/06 08:21:32  qboosh
- cosmetics

Revision 1.32  2004/10/24 20:44:20  paladine
- spelling fixes, uppercases, etc.

Revision 1.31  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.30  2004/02/26 03:56:02  twittner
- rel. 17 (sorry Averne, rel. 16 is now for Ra)

Revision 1.29  2003/11/24 12:47:34  averne
- release 16

Revision 1.28  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.27  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.26  2003/05/25 06:25:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2002/11/29 22:46:07  ankry
- massive attack: new %%doc

Revision 1.24  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/12 03:05:09  kloczek
- release 15: adapterized.

Revision 1.21  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/21 01:35:43  kloczek
- release 14,
- merge paper patch from rawhide.

Revision 1.19  2001/11/20 23:44:21  ankry
- added es, pl man pages
- release 12

Revision 1.18  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.17  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2001/02/04 20:05:23  kloczek
- modify Makefile patch (s/RPM_OPT_FLAGS/OPT/) for allow pass correctly
  optimization flags also if %%{debug} set.

Revision 1.15  2001/02/04 19:59:40  kloczek
- release 11: spec adapterized and some cosmetics.

Revision 1.14  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.10  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 2 1999 Piotr Czerwiński <pius@pld.org.pl>
  [1.17-6]
- package is FHS 2.0 compliant,
- spec file written by PLD Team,
- pl translation by Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>.
